package com.ghy.goods.service;

import com.ghy.goods.domain.GoodsArea;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 商品服务区域service
 * @author clunt
 */
public interface GoodsAreaService {

    /**
     * @param goodsId 商品id
     * @return 商品服务区域集合
     */
    List<GoodsArea> selectByGoodsId(@NotNull Long goodsId);

    /**
     * @param areas 区域集合id
     * @return 批量insert成功条数
     */
    int batchInsert(List<GoodsArea> areas);

    void deleteByGoodsId(Long goodsId);


}
